[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TIDesigner.GetShiftState

GetShiftState - returns the value of the shift state (whether shifted, Cntl key, Alt key etc)

## Declaration

Source position: forms.pp line 1568

`public function TIDesigner.GetShiftState: TShiftState; virtual; abstract;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .